package net.mcreator.puzzle_code.procedures;

import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.Entity;

import net.mcreator.puzzle_code.init.PuzzleCodeModItems;

public class BlockConfiguratorConditionProcedure {
	public static boolean execute(Entity entity) {
		if (entity == null)
			return false;
		if ((entity instanceof LivingEntity _entity) ? _entity.isHolding(PuzzleCodeModItems.GUI_SET.get()) : false) {
			return true;
		}
		return false;
	}
}
